function CreateOptionsPanel(CA)
    local optPanel = Turbine.UI.Control()
    optPanel:SetSize(400, 100)

    local function createCheckBox(parent, text, position, settingKey)
        local checkBox = Turbine.UI.Lotro.CheckBox()
        checkBox:SetParent(parent)
        checkBox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
        checkBox:SetForeColor(Turbine.UI.Color(0.8, 0.75, 0.5))
        checkBox:SetSize(300, 20)
        checkBox:SetPosition(10, position)
        checkBox:SetCheckAlignment(Turbine.UI.ContentAlignment.MiddleRight)
        checkBox:SetText(text)
        checkBox:SetChecked(CA.settings[settingKey])

        checkBox.Checked = false
        checkBox:SetWantsUpdates(false)
        checkBox.FocusGained = function()
            checkBox:SetWantsUpdates(true)
        end
        checkBox.FocusLost = function()
            checkBox:SetWantsUpdates(false)
        end
        checkBox.Update = function()
            if checkBox.Checked ~= checkBox:IsChecked() then
                checkBox.Checked = checkBox:IsChecked()
                CA.settings[settingKey] = checkBox.Checked
                CA.saveSettings()
            end
        end

        return checkBox
    end

    optPanel.visualCB = createCheckBox(optPanel,
        "Display visual alert when entering combat", 10, "visualalert")
    optPanel.enterCB = createCheckBox(optPanel,
        "Display text alert when entering combat", 40, "entercombatalert")
    optPanel.leaveCB = createCheckBox(optPanel,
        "Display text alert when leaving combat", 70, "leavecombatalert")

    return optPanel
end
